• Global community
    • Language:
      • Deutsch
      • English
      • Español
      • Français
      • Português
  • 日本語コミュニティ
    Dedicated community for Japanese speakers
  • 한국 커뮤니티
    Dedicated community for Korean speakers
Exit
Locked
0

Urgent:Issue with converting mx: Application to S: application

Community Beginner ,
Jul 04, 2010 Jul 04, 2010

Copy link to clipboard

Copied

Hello,

  I am currently trying to migrate a flex 3 project to Flash4...but when I replace <mx: application> to <s: Application> it gives following answer:

Could not resolve <s:Application> to a component implementation.

I have included the ur;s and libraries such as :

xmlns:fx="http://ns.adobe.com/mxml/2009" xmlns:s="library://ns.adobe.com/flex/spark" xmlns:mx="library://ns.adobe.com/flex/mx"

Also I have used  following to implement swiz framework:

xmlns:control="edu.mizzou.firefly.control.*"    xmlns:view="edu.mizzou.firefly.view.*" xmlns:core="edu.mizzou.firefly.view.core.*" xmlns:swiz="http://swiz.swizframework.org

Please can any one suggest me where I am going wrong?? Any help would be highly appreciated

Thanks

Akshay

Views

614

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Engaged ,
Jul 06, 2010 Jul 06, 2010

Copy link to clipboard

Copied

Are you linking with the 4.0 (or later) SDK?

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Jul 07, 2010 Jul 07, 2010

Copy link to clipboard

Copied

Not sure wht u meant by that but if your question is whether I am using Flash builder 4 or not then yes I am using Flash builder 4 and trying to migrate a Flex 3 project to flex 4

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Engaged ,
Jul 07, 2010 Jul 07, 2010

Copy link to clipboard

Copied

Open up the project properties window.  Go to "Flex Compiler".  What does it say at the top for "Flex SDK Version"?  Which option do you have selected?

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines
Community Beginner ,
Jul 08, 2010 Jul 08, 2010

Copy link to clipboard

Copied

LATEST

The SDK version is Flex4....Am I supposed to make any  changes there??? Also I observed that in the application declaration below:

<s:Application frameRate="30" layout="absolute" backgroundGradientAlphas="[1.0, 1.0]"
    horizontalScrollPolicy="off" verticalScrollPolicy="off" backgroundGradientColors="[#000000, #323232]" addedToStage="stageHandler(event)"
   xmlns:fx="http://ns.adobe.com/mxml/2009"
               xmlns:s="library://ns.adobe.com/flex/spark"
               xmlns:mx="library://ns.adobe.com/flex/mx">

Some of the mx component doesn't work as intended in Flex 4 such as

layout= mx.Core.LayoutContainer

backgroundGradientAlphas=mx.Core.Application

horizontalScrollPolicy,verticalScrollPolicy=mx.Core.Container

   I am looking into the documentation of Flex 4 but I am not able to find any solutions to them

   Any suggestions from your side??

Votes

Translate

Translate

Report

Report
Community guidelines
Be kind and respectful, give credit to the original source of content, and search for duplicates before posting. Learn more
community guidelines